.main {
    padding-bottom: 20px;
}
.container-top {
    background: linear-gradient(180deg, #20191b, #01021e);
}
.container-bottom {
    background-color: #fff;
}

.index_product_link {
    display: inline-block;
    width: 100%;
    height: 100%;
}

.group {
    display: flex;
    width: 1200px;
    margin: 0 auto;
    padding: 30px 0;
}
.group.first-group {
    justify-content: space-between;
    align-items: flex-start;
}
.group .product-carousel-container {
    width: 540px;
}
.group .container-title {
    display: inline-flex;
    align-items: center;
    gap: 16px;
    line-height: 36px;
    opacity: 0.9;
    cursor: pointer;
}
.group .container-title:hover,
.group .container-title:focus {
    opacity: 1;
}
.group .container-title>span,
.group .container-title .product-list-title {
    font-size: 26px;
    font-weight: 900;
    color: #ffffff;
}
.container-bottom .group .container-title > span,
.container-bottom .group .container-title .product-list-title {
    color: #000;
}
.group .container-title > i,
.group .container-title .product-list-more {
    color: #777;
    font-size: 36px;
}

.product-carousel-container {
    max-width: 1200px;
}

.carousel-control {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;

    background: rgb(38 42 94 / 86%) !important;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50%;
    opacity: 0.8;
    font-size: 30px;
}

.carousel-control:hover {
    opacity: 1;
}

.carousel-control.left {
    left: -40px;
}

.carousel-control.right {
    right: -40px;
}

.carousel-indicators {
    left: 0;
    bottom: -24px;
    width: auto;
    margin-left: 0;
    text-align: left;
}

.carousel-indicators li {
    width: 14px;
    height: 14px;
    background-color: #7f818e;
    border: 0;
    margin: 0 10px 0 0 !important;
}

.carousel-indicators li.active {
    width: 14px;
    height: 14px;
    background-color: var(--color-main);
}

.carousel-inner .item {
    padding: 16px 0;
}

.product-carousel-container .product-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    width: 100%;
    gap: 32px 24px;
}

.product-carousel-container .product-card {
    background-color: var(--color-main);
    border-radius: 20px;
    width: calc(33.3% - 16px);
    text-align: center;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0,0,0,0.05);
    transition: transform 0.3s;
}

.product-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.product-image {
    height: 180px;
    overflow: hidden;
    background-color: #0a0d30;
}

.product-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-title {
    height: 46px;
    padding: 4px 10px;
    background-color: #0a0d30;
    overflow: hidden;
    color: #f3f3f3;
    font-size: 14px;
    line-height: 1.3;
    text-align: center;
}

.product-price {
    display: flex;
    justify-content: center;
    padding: 8px 5px 8px 0;
}

.original-price {
    flex: 1;
    padding: 0;
    color: #353535;
    text-decoration: line-through;
    font-size: 15px;
    transform: scale(0.8);
}

.current-price {
    padding: 0;
    color: #000000;
    font-size: 14px;
    font-weight: bold;
}

/* 响应式调整 */
@media (max-width: 992px) {
    .product-card {
        width: 45%;
    }

    .carousel-control.left {
        left: -15px;
    }

    .carousel-control.right {
        right: -15px;
    }
}

@media (max-width: 768px) {
    .product-card {
        width: 80%;
        margin-bottom: 20px;
    }

    .carousel-control {
        display: none;
    }
}

.banner-carousel-container .carousel-inner .item .banner-image {
    display: block;
    width: 558px;
    height: 558px;
    border-radius: 20px;
    overflow: hidden;
}

.banner-carousel-container .carousel-inner .item .banner-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.bestseller-carousel-container .product-group {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 36px;
}

.bestseller-carousel-container .product-card {
    flex: 1;
    min-width: calc(16.6% - 30px);
    background-color: var(--color-main);
    border-radius: 20px;
    text-align: center;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0,0,0,0.05);
    transition: transform 0.3s;
}

.new-carousels {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 50px;
}

.new-carousels #newLeftCarousel .carousel-inner .item .new-image {
    width: 440px;
    height: 260px;
    border-radius: 20px;
    overflow: hidden;
}

.new-carousels #newLeftCarousel .carousel-inner .item .new-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.new-carousels #newRightCarousel {
    flex: 1;
}

#newRightCarousel .product-group {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 24px;
}

#newRightCarousel .product-card {
    flex: 1;
    min-width: calc(25% - 18px);
    background-color: var(--color-main);
    border-radius: 20px;
    text-align: center;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0,0,0,0.05);
    transition: transform 0.3s;
}

.list-group {
    padding: 0 0 30px;
}
.product-list-container {
    width: 100%;
}
.product-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
    padding: 16px 0;
}
.product-list .item {
    display: flex;
    gap: 16px;
    width: 100%;
    height: 110px;
    border-radius: 20px;
    border: 1px solid #f8ebc6;
    background-color: #fff;
    overflow: hidden;
    transition: transform 0.3s;
}
.product-list .item:hover {
    transform: translateY(-5px);
}

.product-list .item .product-image {
    width: 110px;
    height: 110px;
}
.product-list .item .product-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.product-list .item .product-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.product-list .item .product-content .product-title {
    height: auto;
    padding: 0;
    color: #000000;
    background-color: #ffffff;
    text-align: left;
    font-weight: bold;
    font-size: 16px;
}
.product-list .item .product-content .product-price {
    display: flex;
    justify-content: flex-start;
    align-items: baseline;
    gap: 10px;
    padding: 0;
}
.product-list .item .product-content .product-price span {
    flex: none;
    width: auto;
    padding: 0;
}
.product-list .item .product-content .product-price .original-price {
    font-size: 13px;
    transform: none;
}
.product-list .item .product-content .product-price .current-price {
    padding: 0;
    color: var(--color-font);
    font-size: 16px;
    font-weight: bold;
}
.product-list .item .product-operates {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 260px;
}
.product-list .item .product-operates .btn {
    height: 34px;
    padding: 3px 30px;
}
.product-list .item .product-operates .btn-primary-border {
    font-size: 20px;
}
.product-list .item .product-operates .btn-primary {
    font-weight: bold;
}

.fixed-image-container {
    position: fixed;
    top: 234px;
    width: 280px;
    height: 558px;
    border-radius: 20px;
    overflow: hidden;
    z-index: 999;
    transition: transform 0.3s;
}
.fixed-image-container:hover {
    transform: translateY(-5px);
}
.fixed-image-container.left {
    left: calc(50% - 600px - 280px - 50px);
}
.fixed-image-container.right {
    right: calc(50% - 600px - 280px - 50px);
}

.fixed-image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

/* 响应式调整 */
@media (max-width: 992px) {
    .fixed-image-container {
        position: relative;
        top: 0;
        left: 0;
        margin: 0 auto 20px;
    }
}
